/[gentoo-x86]/media-video/vlc/vlc-9999.ebuild
Gentoo

Contents of /media-video/vlc/vlc-9999.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.53 - (hide annotations) (download)
Mon Jan 4 21:31:24 2010 UTC (7 years, 4 months ago) by aballier
Branch: MAIN
Changes since 1.52: +3 -6 lines
cddax is gone
(Portage version: 2.2_rc61/cvs/Linux x86_64)

1 aballier 1.52 # Copyright 1999-2010 Gentoo Foundation
2 aballier 1.1 # Distributed under the terms of the GNU General Public License v2
3 aballier 1.53 # $Header: /var/cvsroot/gentoo-x86/media-video/vlc/vlc-9999.ebuild,v 1.52 2010/01/03 19:42:42 aballier Exp $
4 aballier 1.1
5 aballier 1.22 EAPI="2"
6 aballier 1.1
7     SCM=""
8     if [ "${PV%9999}" != "${PV}" ] ; then
9     SCM=git
10     EGIT_BOOTSTRAP="bootstrap"
11 aballier 1.52 EGIT_BRANCH=master
12     EGIT_PROJECT=${P}
13 aballier 1.1 if [ "${PV%.9999}" != "${PV}" ] ; then
14 aballier 1.52 EGIT_REPO_URI="git://git.videolan.org/vlc/vlc-${PV%.9999}.git"
15 aballier 1.1 else
16 aballier 1.52 EGIT_REPO_URI="git://git.videolan.org/vlc.git"
17 aballier 1.1 fi
18     fi
19    
20     inherit eutils multilib autotools toolchain-funcs gnome2 nsplugins qt4 flag-o-matic ${SCM}
21    
22     MY_PV="${PV/_/-}"
23     MY_PV="${MY_PV/-beta/-test}"
24     MY_P="${PN}-${MY_PV}"
25     VLC_SNAPSHOT_TIME="0013"
26    
27 aballier 1.38 PATCHLEVEL="72"
28 aballier 1.1 DESCRIPTION="VLC media player - Video player and streamer"
29     HOMEPAGE="http://www.videolan.org/vlc/"
30     if [ "${PV%9999}" != "${PV}" ] ; then # Live ebuild
31     SRC_URI=""
32     elif [[ "${P}" == *_alpha* ]]; then # Snapshots taken from nightlies.videolan.org
33     SRC_URI="http://nightlies.videolan.org/build/source/trunk-${PV/*_alpha/}-${VLC_SNAPSHOT_TIME}/${PN}-snapshot-${PV/*_alpha/}.tar.bz2"
34     MY_P="${P/_alpha*/}-git"
35     elif [[ "${MY_P}" == "${P}" ]]; then
36     SRC_URI="http://download.videolan.org/pub/videolan/${PN}/${PV}/${P}.tar.bz2"
37     else
38     SRC_URI="http://download.videolan.org/pub/videolan/testing/${MY_P}/${MY_P}.tar.bz2"
39     fi
40    
41     SRC_URI="${SRC_URI}
42 aballier 1.47 mirror://gentoo/${PN}-patches-${PATCHLEVEL}.tar.bz2"
43 aballier 1.1
44     LICENSE="GPL-2"
45     SLOT="0"
46    
47     KEYWORDS=""
48 aballier 1.53 IUSE="a52 aac aalib alsa altivec atmo avahi bidi cdda cddb cdio dbus dc1394
49 aballier 1.36 debug dirac directfb dts dvb dvd elibc_glibc fbcon fluidsynth +ffmpeg flac fontconfig
50 aballier 1.46 +gcrypt ggi gnome gnutls httpd id3tag ieee1394 jack kate libass libcaca
51 aballier 1.48 libnotify libproxy libsysfs libtiger libv4l libv4l2 lirc live lua matroska mmx
52 aballier 1.18 modplug mp3 mpeg mtp musepack ncurses nsplugin ogg opengl optimisememory oss
53 aballier 1.38 png projectm pulseaudio pvr +qt4 remoteosd rtsp run-as-root samba
54 aballier 1.50 schroedinger sdl sdl-image seamonkey shine shout skins speex sqlite sse stream
55 aballier 1.43 svg svga taglib theora truetype twolame udev upnp v4l v4l2 vcdinfo vcdx vlm
56 aballier 1.51 vorbis win32codecs wma-fixed x264 +xcb xml xosd xv zvbi"
57 aballier 1.1
58     RDEPEND="
59 aballier 1.24 !!<=media-video/vlc-1.0.99999
60 aballier 1.1 sys-libs/zlib
61 aballier 1.20 >=media-libs/libdvbpsi-0.1.6
62 aballier 1.1 a52? ( >=media-libs/a52dec-0.7.4-r3 )
63     aalib? ( media-libs/aalib )
64     aac? ( >=media-libs/faad2-2.6.1 )
65     alsa? ( media-libs/alsa-lib )
66     avahi? ( >=net-dns/avahi-0.6 )
67     bidi? ( >=dev-libs/fribidi-0.10.4 )
68     cdda? ( cddb? ( >=media-libs/libcddb-1.2.0 ) )
69     cdio? ( >=dev-libs/libcdio-0.78.2 )
70     dbus? ( >=sys-apps/dbus-1.0.2 )
71 aballier 1.18 dc1394? ( >=sys-libs/libraw1394-2.0.1
72     >=media-libs/libdc1394-2.0.2 )
73 aballier 1.1 dirac? ( >=media-video/dirac-0.10.0 )
74 aballier 1.37 directfb? ( dev-libs/DirectFB sys-libs/zlib )
75 aballier 1.1 dts? ( media-libs/libdca )
76     dvd? ( media-libs/libdvdread
77     >=media-libs/libdvdnav-0.1.9
78     media-libs/libdvdplay )
79 aballier 1.36 elibc_glibc? ( >=sys-libs/glibc-2.8 )
80 aballier 1.1 ffmpeg? ( >=media-video/ffmpeg-0.4.9_p20090201 )
81     flac? ( media-libs/libogg
82     >=media-libs/flac-1.1.2 )
83     fluidsynth? ( media-sound/fluidsynth )
84     fontconfig? ( media-libs/fontconfig )
85 pva 1.16 gcrypt? ( >=dev-libs/libgcrypt-1.2.0 )
86 aballier 1.1 ggi? ( media-libs/libggi )
87     gnome? ( gnome-base/gnome-vfs )
88 aballier 1.8 gnutls? ( >=net-libs/gnutls-1.7.4 )
89 aballier 1.37 id3tag? ( media-libs/libid3tag sys-libs/zlib )
90 aballier 1.18 ieee1394? ( >=sys-libs/libraw1394-2.0.1 >=sys-libs/libavc1394-0.5.3 )
91 aballier 1.1 jack? ( >=media-sound/jack-audio-connection-kit-0.99.0-r1 )
92     kate? ( >=media-libs/libkate-0.1.1 )
93 aballier 1.31 libass? ( >=media-libs/libass-0.9.6 media-libs/fontconfig )
94 aballier 1.1 libcaca? ( media-libs/libcaca )
95     libnotify? ( x11-libs/libnotify )
96 aballier 1.13 libproxy? ( net-libs/libproxy )
97 aballier 1.1 libsysfs? ( sys-fs/sysfsutils )
98 aballier 1.17 libtiger? ( media-libs/libtiger )
99 aballier 1.1 lirc? ( app-misc/lirc )
100     live? ( >=media-plugins/live-2008.07.06 )
101     lua? ( >=dev-lang/lua-5.1 )
102     matroska? (
103     >=dev-libs/libebml-0.7.6
104     >=media-libs/libmatroska-0.8.0 )
105     modplug? ( media-libs/libmodplug )
106     mp3? ( media-libs/libmad )
107     mpeg? ( >=media-libs/libmpeg2-0.3.2 )
108     mtp? ( >=media-libs/libmtp-0.3.0 )
109 ssuominen 1.44 musepack? ( >=media-sound/musepack-tools-444 )
110 aballier 1.1 ncurses? ( sys-libs/ncurses )
111     nsplugin? (
112     seamonkey? ( =www-client/seamonkey-1* )
113     !seamonkey? ( >=net-libs/xulrunner-1.8 )
114     )
115     ogg? ( media-libs/libogg )
116 aballier 1.51 opengl? ( virtual/opengl )
117 aballier 1.37 png? ( media-libs/libpng sys-libs/zlib )
118 aballier 1.21 projectm? ( media-libs/libprojectm )
119 aballier 1.9 pulseaudio? ( >=media-sound/pulseaudio-0.9.11 )
120 aballier 1.35 qt4? ( x11-libs/qt-gui:4 x11-libs/qt-core:4 x11-libs/libX11 )
121 aballier 1.1 remoteosd? ( >=dev-libs/libgcrypt-1.2.0 )
122 patrick 1.42 samba? ( || ( >=net-fs/samba-libs-3.4[smbclient]
123     <net-fs/samba-3.4 ) )
124 aballier 1.12 schroedinger? ( >=media-libs/schroedinger-1.0.6 )
125 aballier 1.1 sdl? ( >=media-libs/libsdl-1.2.8
126 aballier 1.37 sdl-image? ( media-libs/sdl-image sys-libs/zlib ) )
127 aballier 1.1 shout? ( media-libs/libshout )
128 aballier 1.35 skins? ( x11-libs/qt-gui:4 x11-libs/qt-core:4 x11-libs/libXext x11-libs/libX11 )
129 aballier 1.1 speex? ( media-libs/speex )
130 aballier 1.50 sqlite? ( dev-db/sqlite:3 )
131 aballier 1.1 svg? ( >=gnome-base/librsvg-2.9.0 )
132     svga? ( media-libs/svgalib )
133 aballier 1.37 taglib? ( >=media-libs/taglib-1.5 sys-libs/zlib )
134 aballier 1.6 theora? ( >=media-libs/libtheora-1.0_beta3 )
135 aballier 1.1 truetype? ( media-libs/freetype
136 aballier 1.25 media-fonts/dejavu )
137 aballier 1.1 twolame? ( media-sound/twolame )
138 aballier 1.45 udev? ( >=sys-fs/udev-142 )
139 aballier 1.1 upnp? ( net-libs/libupnp )
140     v4l2? ( libv4l2? ( media-libs/libv4l ) )
141 aballier 1.48 v4l? ( libv4l? ( media-libs/libv4l ) )
142 aballier 1.1 vcdinfo? ( >=media-video/vcdimager-0.7.22 )
143     vorbis? ( media-libs/libvorbis )
144     win32codecs? ( media-libs/win32codecs )
145 aballier 1.40 x264? ( >=media-libs/x264-0.0.20090923 )
146 aballier 1.2 xcb? ( x11-libs/libxcb x11-libs/xcb-util )
147 aballier 1.1 xml? ( dev-libs/libxml2 )
148     xosd? ( x11-libs/xosd )
149     zvbi? ( >=media-libs/zvbi-0.2.25 )
150     "
151    
152     DEPEND="${RDEPEND}
153     dvb? ( sys-kernel/linux-headers )
154     v4l? ( sys-kernel/linux-headers )
155 aballier 1.28 v4l2? ( >=sys-kernel/linux-headers-2.6.25 )
156 aballier 1.2 xcb? ( x11-proto/xproto )
157 aballier 1.1 dev-util/pkgconfig"
158    
159     S="${WORKDIR}/${MY_P}"
160    
161 aballier 1.5 # Displays a warning if the first use flag is set but the second is not
162 aballier 1.1 vlc_use_needs() {
163     use $1 && use !$2 && ewarn "USE=$1 requires $2, $1 will be disabled."
164     }
165    
166     # Notify the user that some useflag have been forced on
167     vlc_use_force() {
168     use $1 && use !$2 && ewarn "USE=$1 requires $2, $2 will be enabled."
169     }
170    
171     # Use when $2 depends strictly on $3
172     # if use $1 then enable $2 and $3, otherwise disable $2
173     vlc_use_enable_force() {
174     if use $1 ; then
175     echo "--enable-$2 --enable-$3"
176     else
177     echo "--disable-$2"
178     fi
179     }
180    
181     pkg_setup() {
182 aballier 1.23 if has_version '<=media-video/vlc-1.0.99999'; then
183     eerror "Please unmerge vlc-1.0.x first before installing ${P}"
184 aballier 1.11 eerror "If you don't do that, some plugins will get linked against"
185     eerror "the old ${PN} version and will not work."
186 aballier 1.23 die "Unmerge vlc 1.0.x first"
187 aballier 1.11 fi
188 aballier 1.1 vlc_use_needs skins truetype
189     vlc_use_force skins qt4
190     vlc_use_needs vcdx cdio
191     vlc_use_needs vcdx vcdinfo
192     vlc_use_needs vcdinfo cdio
193     vlc_use_needs bidi truetype
194 pva 1.14 vlc_use_force remoteosd gcrypt
195 aballier 1.1 vlc_use_needs fontconfig truetype
196     vlc_use_needs libv4l2 v4l2
197 aballier 1.48 vlc_use_needs libv4l v4l
198 aballier 1.17 vlc_use_needs libtiger kate
199 aballier 1.39 vlc_use_needs xv xcb
200 aballier 1.53 vlc_use_needs cddb cdda
201 aballier 1.5 if use qt4 || use skins ; then
202     qt4_pkg_setup
203 aballier 1.1 else
204     ewarn "You have disabled the qt4 useflag, ${PN} will not have any"
205     ewarn "graphical interface. Maybe that is not what you want..."
206     fi
207     }
208    
209     src_unpack() {
210     unpack ${A}
211     if [ "${PV%9999}" != "${PV}" ] ; then
212     git_src_unpack
213     fi
214 aballier 1.22 }
215 aballier 1.1
216 aballier 1.22 src_prepare() {
217     if [ "${PV%9999}" != "${PV}" ] ; then
218     git_src_prepare
219     fi
220 aballier 1.1 # Make it build with libtool 1.5
221     rm -f m4/lt* m4/libtool.m4
222    
223     EPATCH_SUFFIX="patch" epatch "${WORKDIR}/patches"
224 aballier 1.47 eautoreconf
225 aballier 1.1 }
226    
227 aballier 1.22 src_configure() {
228 aballier 1.1
229     # It would fail if -fforce-addr is used due to too few registers...
230     use x86 && filter-flags -fforce-addr
231    
232     local MOZILLA_PC
233    
234     if use nsplugin; then
235     if use seamonkey; then
236     MOZILLA_PC=seamonkey-plugin
237     else
238     if has_version 'net-libs/xulrunner:1.9' ; then
239     MOZILLA_PC=libxul
240     else
241     MOZILLA_PC=xulrunner-plugin
242     fi
243     fi
244     fi
245    
246     econf \
247     $(use_enable a52) \
248     $(use_enable aalib aa) \
249     $(use_enable aac faad) \
250     $(use_enable alsa) \
251     $(use_enable altivec) \
252     --disable-asademux \
253     $(use_enable atmo) \
254     $(use_enable avahi bonjour) \
255     $(use_enable bidi fribidi) \
256     $(use_enable cdda vcd) \
257     $(use_enable cddb libcddb) \
258     $(use_enable cdio libcdio) \
259     $(use_enable dbus) $(use_enable dbus dbus-control) \
260     $(use_enable dirac) \
261     $(use_enable directfb) \
262     $(use_enable dc1394) \
263     $(use_enable debug) \
264     $(use_enable dts dca) \
265     $(use_enable dvb) \
266     $(use_enable dvd dvdread) $(use_enable dvd dvdnav) \
267     $(use_enable fbcon fb) \
268 aballier 1.10 $(use_enable ffmpeg avcodec) $(use_enable ffmpeg avformat) $(use_enable ffmpeg swscale) $(use_enable ffmpeg postproc) \
269 aballier 1.1 $(use_enable flac) \
270     $(use_enable fluidsynth) \
271     $(use_enable fontconfig) \
272     $(use_enable ggi) \
273     $(use_enable gnome gnomevfs) \
274     $(use_enable gnutls) \
275     $(use_enable httpd) \
276     $(use_enable id3tag) \
277 aballier 1.18 $(use_enable ieee1394 dv) \
278 aballier 1.1 $(use_enable jack) \
279     $(use_enable kate) \
280     $(use_enable libass) \
281     $(use_enable libcaca caca) \
282 pva 1.14 $(use_enable gcrypt libgcrypt) \
283 aballier 1.1 $(use_enable libnotify notify) \
284 aballier 1.13 $(use_enable libproxy) \
285 aballier 1.1 --disable-libtar \
286 aballier 1.17 $(use_enable libtiger tiger) \
287 aballier 1.1 $(use_enable libsysfs) \
288 aballier 1.48 $(use_enable libv4l) \
289 aballier 1.1 $(use_enable libv4l2) \
290     $(use_enable lirc) \
291     $(use_enable live live555) \
292     $(use_enable lua) \
293     $(use_enable matroska mkv) \
294     $(use_enable mmx) \
295     $(use_enable modplug mod) \
296     $(use_enable mp3 mad) \
297     $(use_enable mpeg libmpeg2) \
298     $(use_enable mtp) \
299     $(use_enable musepack mpc) \
300     $(use_enable ncurses) \
301     $(use_enable nsplugin mozilla) --with-mozilla-pkg="${MOZILLA_PC}" \
302     $(use_enable ogg) \
303 aballier 1.30 $(use_enable opengl glx) $(use_enable opengl) \
304 aballier 1.1 $(use_enable optimisememory optimize-memory) \
305     $(use_enable oss) \
306     $(use_enable png) \
307     --disable-portaudio \
308 aballier 1.21 $(use_enable projectm) \
309 aballier 1.1 $(use_enable pulseaudio pulse) \
310     $(use_enable pvr) \
311     $(use_enable qt4) \
312     $(use_enable rtsp realrtsp) \
313     $(use_enable run-as-root) \
314     $(use_enable samba smb) \
315     $(use_enable schroedinger) \
316     $(use_enable sdl) \
317     $(use_enable sdl-image) \
318     $(use_enable shine) \
319     $(use_enable shout) \
320     $(use_enable skins skins2) \
321     $(use_enable speex) \
322 aballier 1.50 $(use_enable sqlite) \
323 aballier 1.1 $(use_enable sse) \
324     $(use_enable stream sout) \
325     $(use_enable svg) \
326     $(use_enable svga svgalib) \
327     $(use_enable taglib) \
328     $(use_enable theora) \
329     $(use_enable truetype freetype) \
330     $(use_enable twolame) \
331 aballier 1.43 $(use_enable udev) \
332 aballier 1.1 $(use_enable upnp) \
333     $(use_enable v4l) \
334     $(use_enable v4l2) \
335     $(use_enable vcdinfo) \
336     $(use_enable vcdx) \
337     $(use_enable vorbis) \
338     $(use_enable win32codecs loader) \
339     $(use_enable wma-fixed) \
340     $(use_enable x264) \
341 aballier 1.2 $(use_enable xcb) \
342 aballier 1.1 $(use_enable xml libxml2) \
343     $(use_enable xosd) \
344     $(use_enable xv xvideo) \
345 aballier 1.26 $(use_enable zvbi) $(use_enable !zvbi telx) \
346 aballier 1.1 --disable-snapshot \
347     --disable-growl \
348     --disable-optimizations \
349     --enable-fast-install \
350     $(vlc_use_enable_force vlm vlm sout) \
351     $(vlc_use_enable_force skins skins2 qt4) \
352 alexxy 1.15 $(vlc_use_enable_force remoteosd remoteosd libgcrypt)
353 aballier 1.1 }
354    
355     src_install() {
356     emake DESTDIR="${D}" install || die "make install failed"
357    
358 aballier 1.48 dodoc AUTHORS HACKING THANKS NEWS README \
359 aballier 1.1 doc/fortunes.txt doc/intf-cdda.txt doc/intf-vcd.txt
360    
361     rm -rf "${D}/usr/share/doc/vlc" \
362     "${D}"/usr/share/vlc/vlc{16x16,32x32,48x48,128x128}.{png,xpm,ico}
363    
364     if use nsplugin; then
365     dodir "/usr/$(get_libdir)/${PLUGINS_DIR}"
366     mv "${D}"/usr/$(get_libdir)/mozilla/plugins/* \
367     "${D}/usr/$(get_libdir)/${PLUGINS_DIR}/"
368     fi
369    
370     use skins || rm -rf "${D}/usr/share/vlc/skins2"
371    
372     for res in 16 32 48; do
373     insinto /usr/share/icons/hicolor/${res}x${res}/apps/
374     newins "${S}"/share/vlc${res}x${res}.png vlc.png
375     done
376     }

  ViewVC Help
Powered by ViewVC 1.1.20